Bug 66766 - UML
UML
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
other Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-15 18:09 EDT by Thornton Prime
Modified: 2007-03-26 23:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thornton Prime 2002-06-15 18:09:05 EDT
Please include UML. http://user-mode-linux.sourceforge.net

I see that the Kernel SPEC file includes support for compiling a UML binary,
though it is still incomplete, and we lack the distribution of the UML-utilities.
Comment 1 Arjan van de Ven 2002-06-16 05:21:50 EDT
uhmmmm

kernel-uml-2.4.18-5.49.i686.rpm

is there already....the tools not yet indeed, though
Comment 2 Thornton Prime 2002-07-01 12:07:18 EDT
I haven't been able to get the UML build to work at all. It appears to boot up
fine, but never enters init. No error. It just hangs.
Comment 3 Pete Zaitcev 2002-08-12 19:27:49 EDT
The -31 version which went with Limbo would hang until
you hit a key in the console. I talked to Jeff and he
said it looks like a typical symptom of UML conflicting with O(1),
and pointed me to the forward_sigio() in 2.5. However,
when I updated our to tree to -48, I could not reproduce
the hang anymore, so I left it stock. If it keeps showing up,
we may try that fix.
Comment 4 Thornton Prime 2003-06-27 19:36:06 EDT
I know UML was in 8, pulled from 9 and doesn't look like it will make it into
Cambridge, but I'd like  to leave it open as a RFE ...

UML is fairly important to those of us in the hosting world.
Comment 5 Bugzilla owner 2004-09-30 11:39:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.